## ros-foxy-smclib 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(smclib)

# Support C++14
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

add_library(smclib_header INTERFACE)
target_include_directories(smclib_header INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

install(
  TARGETS smclib_header
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_python_install_package(${PROJECT_NAME})

ament_export_dependencies(ament_cmake)
ament_export_include_directories(include)

ament_package()

=== debian/changelog ===
ros-foxy-smclib (2.1.0-1focal) focal; urgency=high

  * Fix lint and uncrustify issues on Foxy (#78 <https://github.com/ros/bond_core/issues/78>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Fri, 28 May 2021 05:00:00 -0000

ros-foxy-smclib (2.0.0-1focal) focal; urgency=high

  * fix deprecation warnings (#56 <https://github.com/ros/bond_core/issues/56>)
  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Nov 2020 06:00:00 -0000

ros-foxy-smclib (1.8.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 05:00:00 -0000

ros-foxy-smclib (1.8.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 05:00:00 -0000

ros-foxy-smclib (1.8.1-1focal) focal; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 05:00:00 -0000

ros-foxy-smclib (1.8.0-1focal) focal; urgency=high

  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * remove trailing whitespaces (#26 <https://github.com/ros/bond_core/issues/26>)
  * Closer to pep8 compliance (#25 <https://github.com/ros/bond_core/issues/25>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-foxy-smclib (1.7.19-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-foxy-smclib (1.7.18-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 05:00:00 -0000

ros-foxy-smclib (1.7.17-1focal) focal; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 05:00:00 -0000

ros-foxy-smclib (1.7.16-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 05:00:00 -0000

ros-foxy-smclib (1.7.15-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Oct 2014 05:00:00 -0000

ros-foxy-smclib (1.7.14-1focal) focal; urgency=high

  * Export architecture_independent flag in package.xml #4 <https://github.com/ros/bond_core/pull/4>
  * Update maintainer field
  * Contributors: Esteve Fernandez, Scott K Logan, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 05:00:00 -0000

ros-foxy-smclib (1.7.13-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 21 Aug 2013 05:00:00 -0000

ros-foxy-smclib (1.7.12-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Jun 2013 05:00:00 -0000

ros-foxy-smclib (1.7.11-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Mar 2013 05:00:00 -0000

ros-foxy-smclib (1.7.10-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-foxy-smclib (1.7.9-1focal) focal; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 06:00:00 -0000

ros-foxy-smclib (1.7.8-1focal) focal; urgency=high

  * update setup() to use generate_distutils_setup
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2012 06:00:00 -0000

ros-foxy-smclib (1.7.7-1focal) focal; urgency=high

  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * removed executable bit from header file
  * Contributors: Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2012 06:00:00 -0000

ros-foxy-smclib (1.7.6-1focal) focal; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 30 Oct 2012 05:00:00 -0000

ros-foxy-smclib (1.7.5-1focal) focal; urgency=high

  * clean up package.xml files
  * updated setup.py files
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sat, 27 Oct 2012 05:00:00 -0000

ros-foxy-smclib (1.7.4-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 06 Oct 2012 05:00:00 -0000

ros-foxy-smclib (1.7.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 05:19:00 -0000

ros-foxy-smclib (1.7.2-1focal) focal; urgency=high

  * add the missing catkin dependency
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 05:06:00 -0000

ros-foxy-smclib (1.7.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 00:00:00 -0000

ros-foxy-smclib (1.7.0-1focal) focal; urgency=high

  * catkinize bond
  * Downloading smclib from code.ros.org
    --HG--
    extra : rebase_source : d17dff0350b44646e6a952fc2cc883156ba9f4a4
  * Moving bond into common
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4032634
  * Contributors: Stuart Glaser, Vincent Rabaud, sglaser

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 21:51:00 -0000

=== debian/control ===
Source: ros-foxy-smclib
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-python, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-ros-workspace
Homepage: http://smc.sourceforge.net/
Standards-Version: 3.9.2

Package: ros-foxy-smclib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: The State Machine Compiler (SMC) from http://smc.sourceforge.net/ converts a language-independent description of a state machine into the source code to support that state machine.
 This package contains the libraries that a compiled state machine depends on, but it does not contain the compiler itself.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-smclib//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
